<?php

/**
 * The template for displaying news archive page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package UIU_CSE
 */

get_header();
?>
<main id="main" class="site-main" role="main">
	<section id="archive-hero">

		<div class="container">

			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ul>
					<li><a href="#">Home</a></li>
					<li><a href="#">Category</a></li>
					<li>Alumni</li>
				</ul>
			</nav>

			<div class="content">

				<!-- left content -->
				<div class="left-content">

					<div class="main-title">Alumni</div>

					<div class="short-details">
						As a graduate you will have access to all University of London alumni services.
					</div>

					<div class="links">

						<!-- message -->
						<a href="#">
							<img src="<?php echo (get_template_directory_uri()) ?>/img/envelope-solid.svg" alt="">
						</a>

						<!-- printer -->
						<a href="#">
							<img src="<?php echo (get_template_directory_uri()) ?>/img/print-solid.svg" alt="">
						</a>

						<!-- facebook -->
						<a href="#">
							<img src="<?php echo (get_template_directory_uri()) ?>/img/facebook-f.svg" alt="">
						</a>

						<!-- twitter -->
						<a href="#">
							<img src="<?php echo (get_template_directory_uri()) ?>/img/twitter.svg" alt="">
						</a>

						<!-- linkedin -->
						<a href="#">
							<img src="<?php echo (get_template_directory_uri()) ?>/img/linkedin-in.svg" alt="">
						</a>

					</div>

				</div>

				<!-- right content -->
				<div class="right-content">
					<img src="<?php echo (get_template_directory_uri()) ?>/img/campus_07.jpg" alt="">
				</div>

			</div>
		</div>
	</section>

	<div class="sections">
		<section id="all-alumni" class="container">

			<!-- <hr> -->
			<div class="parent-grid">
				<?php if (have_posts()) : ?>
					<?php while (have_posts()) : the_post(); ?>


						<div class="alumni-stub grid-sub-item">

							<div class="stub-img-holder">
								<img class="stub-img" src="<?php the_field('profile_photo'); ?>" alt="">
							</div>

							<div class="archive-alumni-details">
								<a class="alumni-name" href="<?php echo get_the_permalink() ?>">
									<h3><?php echo get_the_title() ?></h3>
								</a>

								<span class="alumni-designation">
									<?php the_field('alumni_designation'); ?>
								</span>

							</div>

						</div>

					<?php endwhile; ?>
			</div>
			<?php the_posts_navigation(); ?>

		<?php
				else :

					get_template_part('template-parts/content', 'none');

				endif;
		?>
		</section>
	</div>
</main>

<style>
	@import url("https://fonts.googleapis.com/css2?family=DM+Serif+Text&display=swap");
	@import url("https://fonts.googleapis.com/css2?family=Open+Sans&display=swap");
	@import url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css);

	header {
		height: 100px !important;
	}

	#all-alumni h2 {
		color: #000 !important;
		margin-top: 40px;
		margin-bottom: 20px;
	}

	#all-alumni .alumni-stub {
		width: 100%;
		padding: 5px;
		box-shadow: 2px 2px 10px 6px rgba(0, 0, 0, 0.137254902);
		margin: 30px auto;
	}

	#all-alumni .stub-img-holder {
		border-radius: 4px !important;
		height: 160px;
		overflow: hidden;
	}

	#all-alumni .stub-img-holder img {
		border-radius: 0px !important;
		height: 100%;
		width: 100%;
		-o-object-fit: cover;
		object-fit: cover;
		-o-object-position: center;
		object-position: center;
	}

	#all-alumni .archive-alumni-details {
		height: 100px;
		padding: 0px 10px;
	}

	#all-alumni .archive-alumni-details .alumni-degree {
		display: inline-block;
		color: rgba(89, 107, 161, 0.5647058824);
		font-weight: 800;
		font-size: 14px;
	}

	#all-alumni .archive-alumni-details .alumni-designation {
		display: block;
		color: rgba(0, 0, 0, 0.5647058824);
		font-weight: 800;
		font-size: 14px;
	}

	#all-alumni .archive-alumni-details h3 {
		font-size: 18px;
		line-height: 22px;
		font-family: "Open Sans", sans-serif;
		color: #2F4858 !important;
		margin: 10px auto;
	}

	/*# sourceMappingURL=archive-alumni.css.map */
	header {
		height: 100px !important;
	}

	#all-news {
		display: flex;
		flex-direction: column;
	}

	#all-news h2 {
		color: #000 !important;
		margin-top: 40px;
		margin-bottom: 20px;
	}

	#all-news .stub {
		margin: 30px auto;
	}

	#all-news .stub-img-holder {
		height: 200px;
		overflow: hidden;
	}

	#all-news .stub-img-holder img {
		height: 100%;
		width: 100%;
		-o-object-fit: cover;
		object-fit: cover;
		-o-object-position: center;
		object-position: center;
	}

	#all-news .news-date {
		display: block;
		color: #485680;
		font-weight: 800;
		font-size: 14px;
		margin: 10px 0px !important;
	}

	#all-news h3 {
		height: 50px;
		font-size: 18px;
		line-height: 22px;
		font-family: "Open Sans", sans-serif;
		color: #2F4858 !important;
		margin: 20px auto;
	}

	/*# sourceMappingURL=archive-news.css.map */
</style>
<?php
get_footer();
