<?php

/**
 * The template for displaying news archive page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package UIU_CSE
 */

get_header();
?>


<main id="main" class="site-main" role="main">

	<section id="archive-hero">

		<div class="container">

			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ul>
					<li><a href="#">Home</a></li>
					<li><a href="#">Category</a></li>
					<li>Faculty</li>
				</ul>
			</nav>

			<div class="content">

				<!-- left content -->
				<div class="left-content">

					<div class="main-title">Faculty Members</div>

					<div class="short-details">
						As a graduate you will have access to all University of London alumni services.
					</div>

					<div class="links">

						<!-- message -->
						<a href="#">
							<img src="<?php echo (get_template_directory_uri()) ?>/img/envelope-solid.svg" alt="">
						</a>

						<!-- printer -->
						<a href="#">
							<img src="<?php echo (get_template_directory_uri()) ?>/img/print-solid.svg" alt="">
						</a>

						<!-- facebook -->
						<a href="#">
							<img src="<?php echo (get_template_directory_uri()) ?>/img/facebook-f.svg" alt="">
						</a>

						<!-- twitter -->
						<a href="#">
							<img src="<?php echo (get_template_directory_uri()) ?>/img/twitter.svg" alt="">
						</a>

						<!-- linkedin -->
						<a href="#">
							<img src="<?php echo (get_template_directory_uri()) ?>/img/linkedin-in.svg" alt="">
						</a>

					</div>

				</div>

				<!-- right content -->
				<div class="right-content">
					<img src="<?php echo (get_template_directory_uri()) ?>/img/campus_07.jpg" alt="">
				</div>

			</div>
		</div>



	</section>


	<div class="sections">



		<section id="all-faculties" class="container">

			<!-- <hr> -->
			<div class="parent-grid">

				<?php if (have_posts()) : ?>
					<?php while (have_posts()) : the_post();

						$login_id_e = "";
						$auth_token = get_field('auth_token', 'option');
						$client_id = get_field('client_id', 'option');
						$employee_info_api = get_field('employee_info_api', 'option');

						if (function_exists('get_field')) {
							$pid_content = get_post();
							if (has_blocks($pid_content)) {
								$blocks = parse_blocks($pid_content->post_content);
								foreach ($blocks as $block) {
									if ($block["blockName"] == "acf/faculty-member") {
										// $FullName = $block['login_id_e'];
										$login_id_e = $block["attrs"]["data"]["login_id"];
										// $Designation = $block["attrs"]["data"];
									}
								}
							}
						};

						$response_employeeInfo = wp_remote_post(
							$employee_info_api,
							array(
								'body' => array(
									'user_login_id' => $client_id,
									'login_id' => $login_id_e,
									'auth_token' => $auth_token
								)
							)
						);
						$employeeInfo = json_decode(wp_remote_retrieve_body($response_employeeInfo), true);
						$Title = $employeeInfo[0]['Title'];
						$FullName = $Title . ' ' . $employeeInfo[0]['FullName'];
						$Designation = $employeeInfo[0]['Designation'] . ', ' . $employeeInfo[0]['Office'];
					?>


						<div class="faculty-stub grid-sub-item">

							<div class="stub-img-holder">
								<img class="stub-img" src="<?php the_field('profile_photo'); ?>" alt="">
							</div>
							<a class="faculty-link" href="<?php echo get_the_permalink(); ?>">
								<div class="archive-faculty-details">

									<h3>
										<?php echo $FullName; ?><span class="degree"><?php if ($Title == "Dr.") {
																							echo ', PhD';
																						} ?></span>
									</h3>

									<span class="faculty-designation">
										<?php echo $Designation; ?>
									</span>

								</div>

							</a>
						</div>



					<?php endwhile; ?>

					<?php the_posts_navigation(); ?>

				<?php
				else :

					get_template_part('template-parts/content', 'none');

				endif;
				?>
			</div>
			<div class="grid">

			</div>
		</section>
	</div>
</main><!-- #main -->

<style>
	@import url("https://fonts.googleapis.com/css2?family=DM+Serif+Text&display=swap");
	@import url("https://fonts.googleapis.com/css2?family=Open+Sans&display=swap");
	@import url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css);

	header {
		height: 100px !important;
	}

	#all-faculties h2 {
		color: #000 !important;
		margin-top: 40px;
		margin-bottom: 20px;
	}

	#all-faculties .faculty-stub {
		width: 100%;
		padding: 5px;
		box-shadow: 2px 2px 10px 6px rgba(0, 0, 0, 0.137254902);
		margin: 30px auto;
	}

	#all-faculties .stub-img-holder {
		border-radius: 4px !important;
		height: 160px;
		overflow: hidden;
	}

	#all-faculties .stub-img-holder img {
		border-radius: 0px !important;
		height: 100%;
		width: 100%;
		-o-object-fit: cover;
		object-fit: cover;
		-o-object-position: center;
		object-position: center;
	}

	#all-faculties .archive-faculty-details {
		height: 100px;
		padding: 0px 10px;
	}

	#all-faculties .archive-faculty-details .faculty-degree {
		display: inline-block;
		color: rgba(89, 107, 161, 0.5647058824);
		font-weight: 800;
		font-size: 14px;
	}

	#all-faculties .archive-faculty-details .faculty-designation {
		display: block;
		color: rgba(0, 0, 0, 0.5647058824);
		font-weight: 800;
		font-size: 14px;
	}

	#all-faculties .archive-faculty-details h3 {
		font-size: 18px;
		line-height: 22px;
		font-family: "Open Sans", sans-serif;
		color: #2F4858 !important;
		margin: 10px auto;
	}

	/*# sourceMappingURL=archive-faculty.css.map */
</style>
<?php
get_footer();
